# Boost Exception

## boost/exception.hpp

### Synopsis

    #include <boost/exception/diagnostic_information.hpp>
    #include <boost/exception/error_info.hpp>
    #include <boost/exception/exception.hpp>
    #include <boost/exception/get_error_info.hpp>
    #include <boost/exception/info.hpp>
    #include <boost/exception/info_tuple.hpp>
    #include <boost/exception_ptr.hpp>

### See Also:

Boost Exception
Diagnostic Information
Integrating Boost Exception in Existing Exception Class Hierarchies